# Enum Class ComputerEnvironment

java.lang.Object
java.lang.Enum<ComputerEnvironment>
com.google.adk.tools.computeruse.ComputerEnvironment

All Implemented Interfaces:
  `Serializable, Comparable<ComputerEnvironment>, Constable`

public enum ComputerEnvironment extends Enum<ComputerEnvironment>
Enum for computer environments.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ENVIRONMENT_BROWSER`
  `ENVIRONMENT_UNSPECIFIED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComputerEnvironment`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ComputerEnvironment[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ENVIRONMENT_UNSPECIFIED

    public static final ComputerEnvironment ENVIRONMENT_UNSPECIFIED

  - ### ENVIRONMENT_BROWSER

    public static final ComputerEnvironment ENVIRONMENT_BROWSER

- ## Method Details

  - ### values

    public static ComputerEnvironment[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ComputerEnvironment valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null